/* Copyright Howard Cheng (ACM ICPC ECNA 1999) */

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <assert.h>

/* reverse string of length n starting at s */
void rev(char *s, int n)
{
  int i;
  char t;

  for (i = 0; i < n/2; i++) {
    t = s[i];
    s[i] = s[n-1-i];
    s[n-1-i] = t;
  }
}

int main(void)
{
  char buffer[10000];
  char *p1, *p2;
  int l, n, t;

  t = scanf("%d\n", &n);
  assert(t == 1);
  assert(n > 0);

  while (n-- > 0) {
    p1 = fgets(buffer, 10000, stdin);
    assert(p1);
    l = strlen(buffer);
    assert(buffer[l-1] == '\n');
    buffer[l-1] = 0;

    /* now find the individual words */

    /* p1 marks the start of current word, p2 marks one past the end */
    p1 = buffer;
    while (*p1) {
      /* find next blank or end of string */
      for (p2 = p1; *p2 && !isspace(*p2); p2++)
        ;

      /* reverse the word */
      rev(p1, p2-p1);

      /* update beginning of next word, skipping over blanks */
      for (p1 = p2; *p1 && isspace(*p1); p1++)
        ;
    }
    
    printf("%s\n", buffer);
  }

  return 0;
}
