/* Copyright Howard Cheng (ACM ICPC ECNA 1999) */

import java.io.*;
import java.util.*;

class Node {
  int seed, left, right;
}

class Info {
  boolean present;
  int node;
}

public class C_h {
  static DataInputStream in = new DataInputStream(System.in);
  static final int MAX_N = 100;
  
  static Node tree[] = new Node[2*MAX_N-1];
  static int n, m;

  static void build_tree(int rounds) {
    Info info[][] = new Info[2][MAX_N+1];
    int next_node = 0, i, k, s, turn = 0;

    for (i = 0; i <= n; i++) {
      info[0][i] = new Info();
      info[1][i] = new Info();
    }

    for (i = 1; i <= n; i++) {
      tree[next_node].left = tree[next_node].right = -1;
      tree[next_node].seed = i;
      info[turn][i].present = true;
      info[turn][i].node = next_node++;
    }
    for (s = 1, i = 0; i < rounds; s *= 2, i++)
      ;
    s++;

    for (k = rounds; k >= 1; k--) {
      for (i = 1; i <= n; i++) {
	info[1-turn][i].present = false;
      }
      for (i = 1; i <= s/2 && i <= n; i++) {
	if (info[turn][i].present && s-i <= n && info[turn][s-i].present) {
	  tree[next_node].left = info[turn][i].node;
	  tree[next_node].right = info[turn][s-i].node;
	  tree[next_node].seed = i;
	  info[1-turn][i].present = true;
	  info[1-turn][i].node = next_node++;
	} else {
	  info[1-turn][i].present = info[turn][i].present;
	  info[1-turn][i].node = info[turn][i].node;
	}
      }
      turn = 1 - turn;
      s = (s-1)/2 + 1;
    }
  }

  static int search_tree(int root, boolean p[], int round) {
    boolean leftp[] = new boolean[MAX_N+1];
    boolean rightp[] = new boolean[MAX_N+1];
    int i, l, r;

    for (i = 0; i < n+1; i++) {
      p[i] = false;
    }

    if (tree[root].left == -1 && tree[root].right == -1) {
      p[tree[root].seed] = true;
      return -1;
    }
    
    l = search_tree(tree[root].left, leftp, round+1);
    r = search_tree(tree[root].right, rightp, round+1);
    
    if (l > 0 || r > 0) {
      return (l > r) ? l : r;
    }
    
    for (i = 1; i <= n; i++) {
      p[i] = leftp[i] | rightp[i];
    }
    for (i = 1; i <= n && i <= m-1; i++) {
      if (leftp[i] && m-i <= n && rightp[m-i]) {
	return round;
      }
    }
    return -1;
  }

  static public void main(String args[]) {
    boolean p[] = new boolean[MAX_N+1];
    int rounds, i, ans, cases = 0;

    for (i = 0; i < 2*MAX_N-1; i++) {
      tree[i] = new Node();
    }

    try {
      String inputline = in.readLine();
      StringTokenizer st = new StringTokenizer(inputline);
      n = Integer.parseInt(st.nextToken());
      m = Integer.parseInt(st.nextToken());
      while (n != 0 || m != 0) {
	for (rounds = 1, i = 2; i < n; rounds++, i *= 2)
	  ;
	build_tree(rounds);
	ans = search_tree(2*n-2, p, 1);
	System.out.println("Case " + (++cases) + ": Round " + (rounds-ans+1));
	inputline = in.readLine();
	st = new StringTokenizer(inputline);
	n = Integer.parseInt(st.nextToken());
	m = Integer.parseInt(st.nextToken());
      }
    } catch (IOException e) {
    }
  }
}
